# Class BackingStorageException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apfloat.ApfloatRuntimeException
org.apfloat.internal.ApfloatInternalException
org.apfloat.internal.BackingStorageException

All Implemented Interfaces:
  `Serializable, ApfloatLocalizedException`

public class BackingStorageException extends ApfloatInternalException
Exception indicating a backing storage failure.

For example, a large number can be stored on disk. An `IOException` can be thrown in any of the disk operations, for example if a file can't be created, or if the disk is full.

Since:
  1.5
Version:
  1.15.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackingStorageException()`
  Constructs a new apfloat backing storage exception with an empty detail message.
  `BackingStorageException(String message)`
  Constructs a new apfloat backing storage exception with the specified detail message.
  `BackingStorageException(String message, String localizationKey, Object... localizationArgs)`
  Constructs a new apfloat backing storage exception with the specified detail message and localization data.
  `BackingStorageException(String message, Throwable cause)`
  Constructs a new apfloat backing storage exception with the specified detail message and cause.
  `BackingStorageException(String message, Throwable cause, String localizationKey, Object... localizationArgs)`
  Constructs a new apfloat backing storage exception with the specified detail message, cause and localization data.

- ## Method Summary

  ### Methods inherited from class ApfloatRuntimeException

  `getLocalizationArgs, getLocalizationKey, getLocalizedMessage`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ApfloatLocalizedException

  `getMessage`

- ## Constructor Details

  - ### BackingStorageException

    public BackingStorageException()
    Constructs a new apfloat backing storage exception with an empty detail message.

  - ### BackingStorageException

    public BackingStorageException(String message)
    Constructs a new apfloat backing storage exception with the specified detail message.
    Parameters:
      `message` - The detail message.

  - ### BackingStorageException

    public BackingStorageException(String message, Throwable cause)
    Constructs a new apfloat backing storage exception with the specified detail message and cause.
    Parameters:
      `message` - The detail message.
      `cause` - Originating cause of the exception.

  - ### BackingStorageException

    public BackingStorageException(String message, String localizationKey, Object... localizationArgs)
    Constructs a new apfloat backing storage exception with the specified detail message and localization data.
    Parameters:
      `message` - The detail message.
      `localizationKey` - The localization key.
      `localizationArgs` - The localization arguments.
    Since:
      1.15.0

  - ### BackingStorageException

    public BackingStorageException(String message, Throwable cause, String localizationKey, Object... localizationArgs)
    Constructs a new apfloat backing storage exception with the specified detail message, cause and localization data.
    Parameters:
      `message` - The detail message.
      `cause` - Originating cause of the exception.
      `localizationKey` - The localization key.
      `localizationArgs` - The localization arguments.
    Since:
      1.15.0